Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 541)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 542)
@@ -31,8 +31,6 @@
 	public static String CooccurrencesEditor_18;
 	public static String CooccurrencesEditor_2;
 	public static String CooccurrencesEditor_20;
-	public static String CooccurrencesEditor_23;
-	public static String CooccurrencesEditor_24;
 
 	public static String CooccurrencesEditor_25;
 	public static String CooccurrencesEditor_3;
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 541)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 542)
@@ -116,8 +116,6 @@
 	/** The cooc. */
 	Cooccurrence cooc;
 
-	/** The self. */
-	CooccurrencesEditor self;
 	// params
 	/** The query widget. */
 	AssistedQueryWidget queryWidget;
@@ -161,7 +159,6 @@
 	/** The current comparator. */
 	CLineComparator currentComparator;
 
-
 	/** The scroll composite. */
 	private ScrolledComposite scrollComposite;
 
@@ -170,17 +167,19 @@
 	 */
 	public CooccurrencesEditor() {
 		super();
-		self = this;
 	}
 
 	/**
-	 * Inits the.
+	 * Initialize the editor with the cooccurrences TXMResult
 	 *
-	 * @param site the site
-	 * @param input the input
-	 * @throws PartInitException the part init exception
+	 * @param site
+	 *            the site
+	 * @param input
+	 *            the input
+	 * @throws PartInitException
+	 *             the part init exception
 	 * @see org.eclipse.ui.part.EditorPart#init(org.eclipse.ui.IEditorSite,
-	 * org.eclipse.ui.IEditorInput)
+	 *      org.eclipse.ui.IEditorInput)
 	 */
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
@@ -192,40 +191,42 @@
 	/**
 	 * Creates the part control.
 	 *
-	 * @param parent the parent
+	 * @param parent
+	 *            the parent
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
 	public void createPartControl(final Composite parent) {
-
+		super.createPartControl(parent);
 		// FIXME: to do
-		//super.createPartControl(parent);
+		// super.createPartControl(parent);
 
-		FormLayout parentLayout = new FormLayout();
-		parent.setLayout(parentLayout);
+		// FormLayout parentLayout = new FormLayout();
+		// parent.setLayout(parentLayout);
 
-		scrollComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.BORDER);
-		FormData paramLayoutData = new FormData();
-		paramLayoutData.top = new FormAttachment(0);
-		paramLayoutData.left = new FormAttachment(0);
-		paramLayoutData.right = new FormAttachment(100);
-		scrollComposite.setLayoutData(paramLayoutData);
+		// scrollComposite = new ScrolledComposite(parent, SWT.H_SCROLL |
+		// SWT.BORDER);
+		// FormData paramLayoutData = new FormData();
+		// paramLayoutData.top = new FormAttachment(0);
+		// paramLayoutData.left = new FormAttachment(0);
+		// paramLayoutData.right = new FormAttachment(100);
+		// scrollComposite.setLayoutData(paramLayoutData);
 
-		final Composite paramArea = new Composite(scrollComposite, SWT.NONE);
+		final Composite paramArea = this.getCommandParametersGroup();
 		FormLayout paramLayout = new FormLayout();
 		paramArea.setLayout(paramLayout);
 
-		scrollComposite.setContent(paramArea);
-		scrollComposite.setExpandVertical(true);
-		scrollComposite.setExpandHorizontal(true);
-		scrollComposite.addControlListener(new ControlAdapter() {
-			@Override
-			public void controlResized(ControlEvent e) {
-				Rectangle r = scrollComposite.getClientArea();
-				scrollComposite.setMinSize(paramArea.computeSize(SWT.DEFAULT,
-						SWT.DEFAULT));
-			}
-		});
+		// scrollComposite.setContent(paramArea);
+		// scrollComposite.setExpandVertical(true);
+		// scrollComposite.setExpandHorizontal(true);
+		// scrollComposite.addControlListener(new ControlAdapter() {
+		// @Override
+		// public void controlResized(ControlEvent e) {
+		// Rectangle r = scrollComposite.getClientArea();
+		// scrollComposite.setMinSize(paramArea.computeSize(SWT.DEFAULT,
+		// SWT.DEFAULT));
+		// }
+		// });
 
 		// Label infos = new Label(paramArea, SWT.NONE);
 		// infos.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
@@ -243,8 +244,7 @@
 
 		Label queryLabel = new Label(queryArea, SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.QUERY_1);
-		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false,
-				true));
+		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 
 		// [ (v)]
 		queryWidget = new AssistedQueryWidget(queryArea, SWT.DROP_DOWN, this.cooc.getCorpus());
@@ -257,7 +257,8 @@
 			public void keyPressed(KeyEvent e) {
 				// System.out.println("key pressed : "+e.keyCode);
 				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
-					computeResult();
+					setTXMResultParameters();
+					compute(true);
 				}
 			}
 
@@ -284,7 +285,8 @@
 		go.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				computeResult();
+				setTXMResultParameters();
+				TXMEditorPart.compute(CooccurrencesEditor.this.getResultData(), true, CooccurrencesEditor.this);
 			}
 
 			@Override
@@ -313,8 +315,9 @@
 		propsArea.addValueChangeListener(new Listener() {
 			@Override
 			public void handleEvent(Event event) {
-				if (TXMPreferences.getBoolean(RCPPreferences.AUTO_UPDATE_EDITOR, RCPPreferences.PREFERENCES_NODE))	{
-					computeResult();
+				if (TXMPreferences.getBoolean(RCPPreferences.AUTO_UPDATE_EDITOR, RCPPreferences.PREFERENCES_NODE)) {
+					setTXMResultParameters();
+					TXMEditorPart.compute(CooccurrencesEditor.this.getResultData(), true, CooccurrencesEditor.this);
 				}
 			}
 		});
@@ -363,19 +366,18 @@
 		empantPanel.setLayoutData(empantLayoutData);
 
 		// result
-		Composite resultArea = new Composite(parent, SWT.NONE);
-		FormData resultLayoutData = new FormData();
-		resultLayoutData.top = new FormAttachment(scrollComposite, 0);
-		resultLayoutData.left = new FormAttachment(0);
-		resultLayoutData.right = new FormAttachment(100);
-		resultLayoutData.bottom = new FormAttachment(100);
-		resultArea.setLayoutData(resultLayoutData);
+		Composite resultArea = this.getDisplayArea();
+		// FormData resultLayoutData = new FormData();
+		// resultLayoutData.top = new FormAttachment(scrollComposite, 0);
+		// resultLayoutData.left = new FormAttachment(0);
+		// resultLayoutData.right = new FormAttachment(100);
+		// resultLayoutData.bottom = new FormAttachment(100);
+		// resultArea.setLayoutData(resultLayoutData);
 
 		FormLayout resultLayout = new FormLayout();
 		resultArea.setLayout(resultLayout);
 
-		viewer = new TableViewer(resultArea, SWT.MULTI
-				| SWT.FULL_SELECTION | SWT.BORDER);
+		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 		viewer.getTable().setLinesVisible(true);
 		viewer.getTable().setHeaderVisible(true);
@@ -384,28 +386,31 @@
 		if (fontName != null && fontName.length() > 0) {
 			Font old = viewer.getTable().getFont();
 			FontData fD = old.getFontData()[0];
-			//Font f = new Font(old.getDevice(), corpus.getFont(), fD.getHeight(), fD.getStyle());
-			Font font = new Font(Display.getCurrent(), fontName, fD.getHeight(), fD.getStyle()); 
+			// Font f = new Font(old.getDevice(), corpus.getFont(),
+			// fD.getHeight(), fD.getStyle());
+			Font font = new Font(Display.getCurrent(), fontName, fD.getHeight(), fD.getStyle());
 			viewer.getTable().setFont(font);
 		}
 
-		//TODO replace this with a command+menucontribution		
-		//		viewer.getTable().addMouseListener(new MouseAdapter() {
-		//			@Override
-		//			public void mouseDoubleClick(MouseEvent e) {
-		//				Point mouseposition = new Point(e.x
-		//						+ viewer.getTable().getHorizontalBar()
-		//						.getSelection(), e.y);
-		//				int col = getPointedColumn(mouseposition);
-		//				//System.out.println("col "+col);
-		//				switch(col)
-		//				{
-		//				default:
-		//					IStructuredSelection selection = (IStructuredSelection) viewer.getSelection();
-		//					CooccurrencesToConcordances.link(CooccurrencesEditor.this, selection);
-		//				}
-		//			}
-		//		});
+		// TODO replace this with a command+menucontribution
+		// viewer.getTable().addMouseListener(new MouseAdapter() {
+		// @Override
+		// public void mouseDoubleClick(MouseEvent e) {
+		// Point mouseposition = new Point(e.x
+		// + viewer.getTable().getHorizontalBar()
+		// .getSelection(), e.y);
+		// int col = getPointedColumn(mouseposition);
+		// //System.out.println("col "+col);
+		// switch(col)
+		// {
+		// default:
+		// IStructuredSelection selection = (IStructuredSelection)
+		// viewer.getSelection();
+		// CooccurrencesToConcordances.link(CooccurrencesEditor.this,
+		// selection);
+		// }
+		// }
+		// });
 
 		FormData tableLayoutData = new FormData();
 		tableLayoutData.top = new FormAttachment(0);
@@ -501,8 +506,7 @@
 			}
 		});
 
-		TableColumn n2Column = new TableColumn(viewer.getTable(),
-				SWT.RIGHT);
+		TableColumn n2Column = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		n2Column.setText(""); //$NON-NLS-1$
 		n2Column.pack();
 
@@ -510,21 +514,20 @@
 		currentComparator = new ScoreComparator();
 		setColComparator(new ScoreComparator(), scoreColumn);
 		sort();
-		setColComparator(new ScoreComparator(), scoreColumn);
-		sort();
 		createContextMenu(viewer);
 		initializeFields();
 
 		for (TableColumn col : viewer.getTable().getColumns())
 			col.pack();
 
-		this.computeResult();
+		TXMEditorPart.compute(CooccurrencesEditor.this.getResultData(), true, CooccurrencesEditor.this);
 	}
 
 	/**
 	 * Gets the pointed column.
 	 *
-	 * @param mouseposition the mouseposition
+	 * @param mouseposition
+	 *            the mouseposition
 	 * @return the pointed column
 	 */
 	public int getPointedColumn(Point mouseposition) {
@@ -558,9 +561,10 @@
 
 	/**
 	 * Creates some parameters from the current widget values.
+	 * 
 	 * @return
 	 */
-	public TXMParameters getWidgetsParameters()	{
+	public TXMParameters getWidgetsParameters() {
 
 		TXMParameters parameters = new TXMParameters();
 		parameters.put(CooccurrencePreferences.QUERY, this.queryWidget.getQueryString());
@@ -573,7 +577,7 @@
 		parameters.put(CooccurrencePreferences.MIN_FREQ, this.TFreq.getSelection());
 		parameters.put(CooccurrencePreferences.MIN_COUNT, this.TCount.getSelection());
 		parameters.put(CooccurrencePreferences.INCLUDE_X_PIVOT, this.empantPanel.getXPivot());
-		parameters.put(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE,this.getBooleanParameterValue(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE));
+		parameters.put(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, this.getBooleanParameterValue(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE));
 
 		Double minScore = 0.0;
 		try {
@@ -588,8 +592,14 @@
 		return parameters;
 	}
 
-	@Override
-	public void computeResult() {
+	public void setTXMResultParameters() {
+		TXMParameters parameters = this.getWidgetsParameters();
+		cooc.setParameters(parameters);
+		cooc.setDirty();
+	}
+
+	@Deprecated
+	public void computeOLD(final boolean update) {
 		StatusLine.setMessage(CooccurrenceUIMessages.CooccurrencesEditor_33);
 		if (this.queryWidget.getQueryString().trim().length() == 0 || this.queryWidget.getQueryString().trim().equals("\"\"")) //$NON-NLS-1$
 			return;
@@ -614,39 +624,25 @@
 				this.runInit(monitor);
 				JobsTimer.start();
 				monitor.beginTask(CooccurrenceUIMessages.CooccurrencesEditor_13, 100);
-				try {		
-					//FIXME: Debug
-					//System.out.println("cooc: "+corpus+" "+query+" "+properties+" "+structure+" "+leftmax+" "+leftmin+" "+rightmin+" "+rightmax+" "+minfreq+" "+mincount+" "+minscore+" "+includeXpivot);
-					//monitor.worked(5);
-
+				try {
 					cooc.setParameters(parameters);
-					if (cooc.canCompute() && cooc.isDirty()) {
-						cooc.compute(false, this);
-					}
 
-					//FIXME: DEbug
-					//					parameters.dump();
-					//					TXMPreferences.dump(CooccurrencePreferences.PREFERENCES_NODE, cooc);
+					cooc.compute(update, this);
 
-					// FIXME: this code should be move in Cooccurrence.getDetails() or getName(), etc?
-					final String message;
-					if (cooc.getLines().size() == 0) {
-						message = (CooccurrenceUIMessages.CooccurrencesEditor_23);
-					}
-					else if (cooc.getLines().size() == 1) {
-						message = (CooccurrenceUIMessages.CooccurrencesEditor_24);
-					}
-					else {
-						message = (CooccurrenceUIMessages.bind(CooccurrenceUIMessages.CooccurrencesEditor_34, cooc.getNumberOfKeyword(), cooc.getNumberOfDifferentCooccurrents()));
-					}
+					// FIXME: this code should be move in
+					// Cooccurrence.getDetails() or getName(), etc?
+					final String message = cooc.getDetails();
 
 					System.out.println(message);
 					this.syncExec(new Runnable() {
 						@Override
 						public void run() {
-							String txt = "tp "+cooc.getNumberOfKeyword()+", vc "+cooc.getNumberOfDifferentCooccurrents()+", tc "+cooc.getNumberOfCooccurrents(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-							try { txt += ", T "+cooc.getCorpus().getSize();} //$NON-NLS-1$
-							catch(Exception e) {System.out.println(CooccurrenceUIMessages.CooccurrencesEditor_25);}
+							String txt = "tp " + cooc.getNumberOfKeyword() + ", vc " + cooc.getNumberOfDifferentCooccurrents() + ", tc " + cooc.getNumberOfCooccurrents(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+							try {
+								txt += ", T " + cooc.getCorpus().getSize();} //$NON-NLS-1$
+							catch (Exception e) {
+								System.out.println(CooccurrenceUIMessages.CooccurrencesEditor_25);
+							}
 							String tooltip = "- " + txt.replaceAll(", ", "\n- "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
 							empantPanel.setInfo(txt, tooltip);
@@ -656,19 +652,106 @@
 					// End of FIXME
 				}
 				// user canceling
-				catch(ThreadDeath e) {
+				catch (ThreadDeath e) {
 					close(true);
 					return Status.CANCEL_STATUS;
+				} catch (Exception e) {
+					close(true);
+					Logger.severe(CooccurrenceUIMessages.CooccurrencesEditor_1 + " " + Logger.toString(e)); //$NON-NLS-1$
+					e.printStackTrace();
+					try {
+						Logger.info(RCPMessages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
+					} catch (Exception e2) {
+						Logger.severe("Error: " + e2.getLocalizedMessage()); //$NON-NLS-1$
+						org.txm.rcp.utils.Logger.printStackTrace(e);
+					}
+
+					return Status.CANCEL_STATUS;
 				}
-				catch (Exception e) {
+				monitor.worked(5);
+				// System.out.println(cooc.toInfos());
+
+				monitor.subTask(CooccurrenceUIMessages.CooccurrencesEditor_14);
+
+				if (monitor.isCanceled())
+					return Status.CANCEL_STATUS;
+
+				monitor.subTask(CooccurrenceUIMessages.CooccurrencesEditor_15);
+				this.syncExec(new Runnable() {
+					@Override
+					public void run() {
+						viewer.setInput(cooc.getLines());
+						sort();
+
+						viewer.getControl().setRedraw(false);
+						viewer.refresh();
+						for (TableColumn col : viewer.getTable().getColumns()) {
+							col.pack();
+						}
+						viewer.getControl().setRedraw(true);
+
+						// FIXME: need to be done in another way with after the
+						// plugin split
+						QueriesView.refresh();
+						RVariablesView.refresh();
+
+						viewer.getTable().setFocus();
+					}
+				});
+
+				monitor.worked(35);
+				monitor.done();
+				JobsTimer.stopAndPrint();
+				return Status.OK_STATUS;
+			}
+		};
+		jobhandler.startJob();
+	}
+
+	@Override
+	public void refresh(boolean update) {
+
+		JobHandler jobhandler = new JobHandler(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_12, cooc.getCorpus())) {
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				this.runInit(monitor);
+				JobsTimer.start();
+				monitor.beginTask(CooccurrenceUIMessages.CooccurrencesEditor_13, 100);
+				try {
+
+					// FIXME: this code should be move in
+					// Cooccurrence.getDetails() or getName(), etc?
+					final String message = cooc.getDetails();
+
+					System.out.println(message);
+					this.syncExec(new Runnable() {
+						@Override
+						public void run() {
+							String txt = "tp " + cooc.getNumberOfKeyword() + ", vc " + cooc.getNumberOfDifferentCooccurrents() + ", tc " + cooc.getNumberOfCooccurrents(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+							try {
+								txt += ", T " + cooc.getCorpus().getSize();} //$NON-NLS-1$
+							catch (Exception e) {
+								System.out.println(CooccurrenceUIMessages.CooccurrencesEditor_25);
+							}
+							String tooltip = "- " + txt.replaceAll(", ", "\n- "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+
+							empantPanel.setInfo(txt, tooltip);
+						}
+					});
+					// End of FIXME
+				}
+				// user canceling
+				catch (ThreadDeath e) {
 					close(true);
-					Logger.severe(CooccurrenceUIMessages.CooccurrencesEditor_1  + " " + Logger.toString(e)); //$NON-NLS-1$
+					return Status.CANCEL_STATUS;
+				} catch (Exception e) {
+					close(true);
+					Logger.severe(CooccurrenceUIMessages.CooccurrencesEditor_1 + " " + Logger.toString(e)); //$NON-NLS-1$
 					e.printStackTrace();
 					try {
-						Logger.info(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
-					}
-					catch (Exception e2) {
-						Logger.severe("Error: "+e2.getLocalizedMessage()); //$NON-NLS-1$
+						Logger.info(RCPMessages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
+					} catch (Exception e2) {
+						Logger.severe("Error: " + e2.getLocalizedMessage()); //$NON-NLS-1$
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					}
 
@@ -686,6 +769,7 @@
 				this.syncExec(new Runnable() {
 					@Override
 					public void run() {
+						System.out.println(""+cooc.getLines());
 						viewer.setInput(cooc.getLines());
 						sort();
 
@@ -696,9 +780,8 @@
 						}
 						viewer.getControl().setRedraw(true);
 
-						refresh();
-
-						//FIXME: need to be done in another way with after the plugin split
+						// FIXME: need to be done in another way with after the
+						// plugin split
 						QueriesView.refresh();
 						RVariablesView.refresh();
 
@@ -716,7 +799,8 @@
 	}
 
 	/**
-	 * Updates the parameters area from values from parameters, local result node or preferences.
+	 * Updates the parameters area from values from parameters, local result
+	 * node or preferences.
 	 */
 	protected void initializeFields() {
 		queryWidget.setText(this.getStringParameterValue(CooccurrencePreferences.QUERY));
@@ -736,19 +820,21 @@
 		TFreq.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_FREQ));
 		TCount.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_COUNT));
 
-		TScore.setText(""+this.getDoubleParameterValue(CooccurrencePreferences.MIN_SCORE));
+		TScore.setText("" + this.getDoubleParameterValue(CooccurrencePreferences.MIN_SCORE));
 
-		empantPanel.setMinLeft(this.getIntParameterValue(CooccurrencePreferences.MIN_LEFT)-1);
-		empantPanel.setMaxLeft(this.getIntParameterValue(CooccurrencePreferences.MAX_LEFT)-1);
-		empantPanel.setMinRight(this.getIntParameterValue(CooccurrencePreferences.MIN_RIGHT)-1);
-		empantPanel.setMaxRight(this.getIntParameterValue(CooccurrencePreferences.MAX_RIGHT)-1);
+		empantPanel.setMinLeft(this.getIntParameterValue(CooccurrencePreferences.MIN_LEFT) - 1);
+		empantPanel.setMaxLeft(this.getIntParameterValue(CooccurrencePreferences.MAX_LEFT) - 1);
+		empantPanel.setMinRight(this.getIntParameterValue(CooccurrencePreferences.MIN_RIGHT) - 1);
+		empantPanel.setMaxRight(this.getIntParameterValue(CooccurrencePreferences.MAX_RIGHT) - 1);
 	}
 
 	/**
 	 * Sets the col comparator.
 	 *
-	 * @param comp the comp
-	 * @param col the col
+	 * @param comp
+	 *            the comp
+	 * @param col
+	 *            the col
 	 */
 	private void setColComparator(CLineComparator comp, TableColumn col) {
 		currentComparator = comp;
@@ -768,7 +854,8 @@
 	/**
 	 * Creates the context menu.
 	 *
-	 * @param tableViewer the table viewer
+	 * @param tableViewer
+	 *            the table viewer
 	 */
 	private void createContextMenu(TableViewer tableViewer) {
 
@@ -782,7 +869,6 @@
 		getSite().setSelectionProvider(tableViewer);
 	}
 
-
 	/**
 	 * Gets the corpus.
 	 *
@@ -804,7 +890,8 @@
 	/**
 	 * Do save.
 	 *
-	 * @param arg0 the arg0
+	 * @param arg0
+	 *            the arg0
 	 * @see org.eclipse.ui.part.EditorPart#doSave(org.eclipse.core.runtime.IProgressMonitor)
 	 */
 	@Override
@@ -822,20 +909,7 @@
 
 	}
 
-
-
 	/**
-	 * Checks if is dirty.
-	 *
-	 * @return true, if is dirty
-	 * @see org.eclipse.ui.part.EditorPart#isDirty()
-	 */
-	@Override
-	public boolean isDirty() {
-		return false;
-	}
-
-	/**
 	 * Checks if is save as allowed.
 	 *
 	 * @return true, if is save as allowed
@@ -855,25 +929,21 @@
 			try {
 				Log.info(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_0, currentComparator.getName()));
 
-				PlatformUI.getWorkbench().getProgressService().busyCursorWhile(
-						new IRunnableWithProgress() {
-							@Override
-							public void run(IProgressMonitor monitor)
-									throws InvocationTargetException,
-									InterruptedException {
-								try {
-									cooc.sort(currentComparator);
-								} catch (CqiClientException e) {
-									System.err.println("Error: "+e.getLocalizedMessage());
-								}
-							}
-						});
+				PlatformUI.getWorkbench().getProgressService().busyCursorWhile(new IRunnableWithProgress() {
+					@Override
+					public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException {
+						try {
+							cooc.sort(currentComparator);
+						} catch (CqiClientException e) {
+							System.err.println("Error: " + e.getLocalizedMessage());
+						}
+					}
+				});
 			} catch (Exception e) {
-				System.err.println("Error: "+e.getLocalizedMessage());
+				System.err.println("Error: " + e.getLocalizedMessage());
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 			viewer.refresh();
 		}
 	}
-
 }
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 541)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 542)
@@ -74,19 +74,13 @@
 			return null;
 		}
 
-		if (!CQPEngine.isInitialized()) {
-			System.out.println("SearchEngine is not ready. Aborting.");
+		if (!this.checkCorpusEngine()) {
 			return null;
 		}
 		
 		Object selection = this.getSelection(event);
 		TXMResultEditorInput editorInput = null;
 		
-		// new editor from concordance
-		// FIXME: need to edit this code, the computing must be done in the editor part, also need to check the process() method
-		// this code should be moved to the Concordance plugin, it should create a TXMParameters from the concordance object then call this RCP parametrized command "ComputeCooccurrence"
-		// by giving it the TXMParameters
-		
 		Cooccurrence cooc = null;
 		
 		if (selection instanceof Concordance) {
@@ -118,7 +112,6 @@
 				cooc.setParameters(query, properties, limit,
 				maxleft, minleft, minright, maxright, minf, mincof,
 				minscore, false, buildLexicalTableWithCooccurrents);
-				//cooc.process();
 			} catch (Exception e) {
 				Log.printStackTrace(e);
 				return null;
Index: tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 541)
+++ tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 542)
@@ -25,7 +25,7 @@
 	 */
 	public static void initializeMessages(final Class<?> clazz) {
 		// initialize resource bundle
-		initializeMessages(clazz.getPackage().toString(), clazz);
+		initializeMessages(clazz.getPackage().getName()+".messages", clazz);
 	}
 	
 	/**
@@ -58,7 +58,6 @@
 			catch(Exception e) {
 				//	e.printStackTrace();
 			}
-
 		}
 	}
 }
